listener

A listener for incoming connections. More...

`#include <listener.hpp>`

## Public Member Functions

| listener ()
| Create an empty listener.
void | stop ()
| Stop listening on the address provided to the call to container::listen that returned this listener. More...

## Detailed Description

A listener for incoming connections.

Examples:
  direct_recv.cpp, direct_send.cpp, helloworld_direct.cpp, and mt/epoll_container.cpp.

## Member Function Documentation

## stop()

void stop | ( |  | ) |

Stop listening on the address provided to the call to container::listen that returned this listener.

Examples:
  direct_recv.cpp, direct_send.cpp, and helloworld_direct.cpp.

The documentation for this class was generated from the following file:

- proton/listener.hpp